package com.streambase.contrib.currency.schemas;

import com.streambase.sb.CompleteDataType;
import com.streambase.sb.Schema;

public class CurrencySchema {
	 
	public static final Schema.Field[] CONTROL = {
	     
	        new Schema.Field("TransactionCost", CompleteDataType.forDouble()),
	        
	 };
	    
	 public static final Schema CONTROL_SCHEMA = new Schema("ControlSchema", CONTROL);
	 
	 
	public static final Schema.Field[] EDGE_WEIGHT = {
		     
	        new Schema.Field("Currency1", CompleteDataType.forString()),
	        new Schema.Field("Currency2", CompleteDataType.forString()),
	        new Schema.Field("Bid", CompleteDataType.forDouble()),
	        new Schema.Field("Ask", CompleteDataType.forDouble()),
	        
	 };
	    
	 public static final Schema EDGE_WEIGHT_SCHEMA = new Schema("CurrencySchema", EDGE_WEIGHT );
	 
		public static final Schema.Field[] ARBITRAGE = {
		     
	        new Schema.Field("Currencies", CompleteDataType.forList(CompleteDataType.forString())),
	        new Schema.Field("Value", CompleteDataType.forDouble()),	        
	        
	 };
	    
	 public static final Schema ARBITRAGE_SCHEMA = new Schema("ArbitrageSchema", ARBITRAGE);
	 
	 	 
	  	 
}